summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTim Orling <timothy.t.orling@linux.intel.com>2020-04-03 00:55:54 (GMT)
committerRichard Purdie <richard.purdie@linuxfoundation.org>2020-04-06 13:40:25 (GMT)
commite75301e0182301423defc1b7f59fe4fad761d206 (patch)
tree2ed9da95181b9e8acc1f2e199289c3a577e4918f
parent2888172856eead6bbc6e91fafa7c500cf1a76e37 (diff)
downloadpoky-e75301e0182301423defc1b7f59fe4fad761d206.tar.gz
ref-manual: fix debian-8 system reqs
jessie-backports is no longer supported, so python3-git and pylint3 are not installable via apt-get (or at least not without disabling security checks by using archive.debian.org) Add note to use pip3 to install instead. (From yocto-docs rev: 19a02c5c6ef9a317c2339c2ec71200e51335e32f) Signed-off-by: Tim Orling <timothy.t.orling@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
-rw-r--r--documentation/ref-manual/ref-system-requirements.xml32
1 files changed, 21 insertions, 11 deletions
diff --git a/documentation/ref-manual/ref-system-requirements.xml b/documentation/ref-manual/ref-system-requirements.xml
index 21cd79d..6153117 100644
--- a/documentation/ref-manual/ref-system-requirements.xml
+++ b/documentation/ref-manual/ref-system-requirements.xml
@@ -130,19 +130,29 @@
130 <para> 130 <para>
131 The following list shows the required packages by function 131 The following list shows the required packages by function
132 given a supported Ubuntu or Debian Linux distribution: 132 given a supported Ubuntu or Debian Linux distribution:
133 <note> 133 <note><title>Notes</title>
134 If your build system has the 134 <itemizedlist>
135 <filename>oss4-dev</filename> package installed, you 135 <listitem><para>
136 might experience QEMU build failures due to the package 136 If your build system has the
137 installing its own custom 137 <filename>oss4-dev</filename> package installed, you
138 <filename>/usr/include/linux/soundcard.h</filename> on 138 might experience QEMU build failures due to the package
139 the Debian system. 139 installing its own custom
140 If you run into this situation, either of the following 140 <filename>/usr/include/linux/soundcard.h</filename> on
141 solutions exist: 141 the Debian system.
142 <literallayout class='monospaced'> 142 If you run into this situation, either of the following
143 solutions exist:
144 <literallayout class='monospaced'>
143 $ sudo apt-get build-dep qemu 145 $ sudo apt-get build-dep qemu
144 $ sudo apt-get remove oss4-dev 146 $ sudo apt-get remove oss4-dev
145 </literallayout> 147 </literallayout>
148 </para></listitem>
149 <listitem><para>
150 For Debian-8, <filename>python3-git</filename> and <filename>pylint3</filename> are no longer available via <filename>apt-get</filename>.
151 <literallayout class='monospaced'>
152 $ sudo pip3 install GitPython pylint==1.9.5
153 </literallayout>
154 </para></listitem>
155 </itemizedlist>
146 </note> 156 </note>
147 <itemizedlist> 157 <itemizedlist>
148 <listitem><para><emphasis>Essentials:</emphasis> 158 <listitem><para><emphasis>Essentials:</emphasis>